Bug 1213367 - Optimize Getall operations
Summary: Optimize Getall operations
Keywords:
Status: ASSIGNED
Alias: None
Product: JBoss Data Grid 6
Classification: JBoss
Component: Infinispan
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ER3
: 6.5.0
Assignee: Tristan Tarrant
QA Contact: Martin Gencur
URL:
Whiteboard:
Depends On: 1198556 1218675
Blocks: 1186882 jdg65-Beta-Blcokers
TreeView+ depends on / blocked
 
Reported: 2015-04-20 11:38 UTC by William Burns
Modified: 2015-11-09 01:12 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 1198556
Environment:
Last Closed:
Type: Enhancement


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker ISPN-2183 Minor Resolved Add the ability to fetch a set of keys at once (getAll) 2017-03-20 17:19:49 UTC
JBoss Issue Tracker ISPN-5264 Major Resolved Optimize PutAll operations (library mode) 2017-03-20 17:19:49 UTC
JBoss Issue Tracker ISPN-5265 Major Resolved Optimize Getall operations over Hot Rod 2017-03-20 17:19:49 UTC
JBoss Issue Tracker ISPN-5266 Major Resolved Optimize PutAll operations (Hot Rod) 2017-03-20 17:19:49 UTC
JBoss Issue Tracker ISPN-5437 Major Resolved Hot Rod getAll() sometimes fails Unable to unmarshall bytes 2017-03-20 17:19:49 UTC

Description William Burns 2015-04-20 11:38:04 UTC
This is a clone to handle the getAll improvements for both embedded and remote caches.

+++ This bug was initially created as a clone of Bug #1198556 +++

We have an internal need for improving the performance of GetAll and PutAll for existing JDG features.

1) GetAll: to ensure that there’s a way to batch get multiple objects together, both in Library mode and over Hot Rod.
 
2) PutAll: to ensure that customers can load massive amount of data into the grid quickly, both in Library mode and over Hot Rod.
 
Additionally, we have requests for this performance improvement from customers/prospects.

--- Additional comment from JBoss JIRA Server on 2015-03-26 14:42:24 EDT ---

William Burns <wburns@redhat.com> updated the status of jira ISPN-5264 to Coding In Progress

--- Additional comment from JBoss JIRA Server on 2015-03-31 10:52:27 EDT ---

William Burns <wburns@redhat.com> updated the status of jira ISPN-5265 to Coding In Progress

--- Additional comment from JBoss JIRA Server on 2015-03-31 11:45:44 EDT ---

William Burns <wburns@redhat.com> updated the status of jira ISPN-5265 to Open

--- Additional comment from JBoss JIRA Server on 2015-03-31 11:46:59 EDT ---

William Burns <wburns@redhat.com> updated the status of jira ISPN-5266 to Coding In Progress

--- Additional comment from JBoss JIRA Server on 2015-04-07 05:34:08 EDT ---

Tristan Tarrant <ttarrant@redhat.com> updated the status of jira ISPN-5263 to Closed

--- Additional comment from JBoss JIRA Server on 2015-04-09 10:21:55 EDT ---

William Burns <wburns@redhat.com> updated the status of jira ISPN-5264 to Reopened

--- Additional comment from William Burns on 2015-04-15 13:24:43 EDT ---

PR for putAll https://github.com/infinispan/jdg/pull/613

Comment 1 JBoss JIRA Server 2015-04-23 11:47:21 UTC
William Burns <wburns@redhat.com> updated the status of jira ISPN-5265 to Coding In Progress

Comment 2 William Burns 2015-04-29 11:46:02 UTC
PR: https://github.com/infinispan/jdg/pull/634

Comment 5 JBoss JIRA Server 2015-05-06 13:13:44 UTC
William Burns <wburns@redhat.com> updated the status of jira ISPN-5437 to Resolved


Note You need to log in before you can comment on or make changes to this bug.